.my-dynamic-div{
    position: fixed;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 40px;
    height: 120px;
    z-index: 999;
    background-image: url('../img/main/lxkf.png');
    background-size: 80px 120px;
    background-position: top left;
    cursor: pointer;
}

.my-dynamic-div:hover{
    background-position: top right;
}
.my-dynamic-div>a{
    display: block;
    width: 100%;
    height: 100%;
}